# DorgFlow Composer Plugin

This is a composer plugin which prepares some of your projects in a composer base Drupal installation for drupal-org contributions powered by [Dorgflow](https://github.com/joachim-n/dorgflow).

You can keep your composer.json as is and only define the dev modules in the extra section such that this plugin can clone those projects for you from drupal.org so that you can immediately start using `dorgflow`.

Here is a sample of what to add to your composer.json:

```json
{
    "extra": {
        "dorgflow": {
            "username": "jurgenhaas",
            "projects": {
                "drupal/colorbox_field_formatter": "8.x-1.x",
                "drupal/dimension": "8.x-1.x",
                "drupal/drd": "8.x-3.x",
                "drupal/drd_agent": "8.x-3.x"
            }
        }
    }
}
```

The, to gat it to work, simply call `composer require lakedrops/dorgflow` and everything will be traken care off for you automatically - even if you update your Drupal project at any time in the future, the development environments for your defined projects will be kept in place and properly configured.
